Skip to content

Partially updates a application process with the specified ID.

Request

This method will patch an existing application process with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the application process to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The application process was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_applicants_to_update_in_portalboolean(Allow Applicants To Update In Portal)

Allow for applicants to update the application while it is under review

applicant_update_optionsobject(Applicant Update Options)required
application_confirmation_email_optionsobject(Application Confirmation Email Options)required
application_expiration_rule_set_idstring(Application Expiration Rule Set)

The rule set for calculating the expiration of an application submitted by this process

application_form_idstring(Application Form)certifications-applications__.*required

The certification application form

automatically_approve_applications_once_requirements_are_metboolean(Automatically Approve Applications Once Requirements Are Met)

If true, applications in this process are marked approved once requirements are met. Otherwise they are pending approval

available_to_training_providersboolean(Available To Training Providers)

If true, this process is available to training providers

certification_activation_email_optionsobject(Certification Activation Email Options)required
checkout_settingsobject(Checkout Settings)required
contact_form_optionsobject(Contact Form Options)required
course_registration_optionsobject(Course Registration Options)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
descriptionstring(Description)

A description of the process

display_in_portalboolean(Display In Portal)

Whether or not to hide in the portal

display_in_portal_asstring(Display In Portal As)

How to display this process in the portal

display_ordernumber, (float)(Display Order)

Optional order to display the process

eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_application_confirmation_emailboolean(Enable Application Confirmation Email)

Whether or not an email should be sent when the application is received

enable_certification_activation_emailboolean(Enable Certification Activation Email)

Whether or not to send an email when the certification is actually activated

enable_course_registrationboolean(Enable Course Registration)

If true, users can register for courses while applying for the certification

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

If true, only certain eligible persons can proceed with this process

enable_exam_registrationboolean(Enable Exam Registration)

If true, users can register for exams while applying for the certification

enable_grandfather_restrictionsboolean(Enable Grandfather Restrictions)

Only people who are grandfathered into other certification programs may complete this process

exam_registration_optionsobject(Exam Registration Options)required
expiration_rule_set_idstring(Expiration Rule Set)required

The rule set for calculating the expiration of a certification generated by this process

fee_idstring(Fee)

The baseline fee

grandfather_restrictionsobject(Grandfather Restrictions)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this process

is_activeboolean(Is Active)

Whether or not this process is active

namestring(Name)required

The name of the process

organization_form_optionsobject(Organization Form Options)required
organization_type_idsArray of strings, non-empty(Organization Types)required
override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

prefill_application_with_profile_informationboolean(Prefill Application With Profile Information)

If true, data stored in the certification profile is used as the starting point for the application

program_idstring(Program)required

The program to which this process is tied

reinstatement_optionsobject(Reinstatement Options)required
renewal_optionsobject(Renewal Options)required
requirementsArray of objects
restrict_organization_typesboolean(Restrict Organization Types)

Restrict to certain types of organizations

show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

transfer_optionsobject(Transfer Options)
typestring(Type)
Enum:"certification""reinstatement""renewal""transfer"
Response
{ "allow_applicants_to_update_in_portal": true, "applicant_update_options": { "update_form_id": "string" }, "application_confirmation_email_options": { "application_confirmation_email": { … }, "application_notice_id": "string", "type": "application notice" }, "application_expiration_rule_set_id": "string", "application_form_id": "string", "automatically_approve_applications_once_requirements_are_met": true, "available_to_training_providers": true, "certification_activation_email_options": { "application_notice_id": "string", "certification_activation_email": { … }, "type": "application notice" }, "checkout_settings": { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "custom_order_preprocessing_options": { … }, "custom_order_pricing_options": { … }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_custom_order_preprocessing": true, "enable_custom_order_pricing": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "pay_later_options": { … }, "restocking_fee_product_id": "string", "special_instructions": "string", "use_pro_forma_invoices": true }, "contact_form_options": { "contact_form_id": "string", "html": "string" }, "course_registration_options": { "course_registration_process_id": "string" }, "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "eligibility_criteria": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "custom_logic_options": { … }, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_custom_logic": true, "enable_entitlement_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "entitlement_restrictions": [ … ], "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_application_confirmation_email": true, "enable_certification_activation_email": true, "enable_course_registration": true, "enable_eligibility_criteria": true, "enable_exam_registration": true, "enable_grandfather_restrictions": true, "exam_registration_options": { "exam_registration_process_id": "string" }, "expiration_rule_set_id": "string", "fee_id": "string", "grandfather_restrictions": { "certification_program_ids": [ … ], "invert_logic": true }, "id": "string", "is_active": true, "name": "string", "organization_form_options": { "html": "string", "organization_form_id": "string" }, "organization_type_ids": [ "string" ], "override_checkout_settings": true, "prefill_application_with_profile_information": true, "program_id": "string", "reinstatement_options": { "reinstatement_period": 0.1 }, "renewal_options": { "renewal_window": 0.1 }, "requirements": [ { … } ], "restrict_organization_types": true, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "transfer_options": { "allowed_program_ids": [ … ] }, "type": "certification" }